/*
    fmod_event_net.h - FMOD Network event system target interface
    Copyright (c), Firelight Technologies Pty, Ltd. 2005-2006.
*/

#ifndef __fmod_event_net_inc__
#define __fmod_event_net_inc__

#ifndef _FMOD_HPP
//#include "fmod.hpp"
#endif

/*
    FMOD NetEventSystem version number.  Check this against NetEventSystem_GetVersion.
    0xaaaabbcc -> aaaa = major version number.  bb = minor version number.  cc = development version number.
*/
#define FMOD_EVENT_NET_VERSION 0x00010621

/*
    Default port that the target (game) will listen on
*/
#define FMOD_EVENT_NET_PORT    17997

//namespace FMOD
//{
   // class EventSystem;

    declare NetEventSystem_Init(EventSystem *eventsystem,opt unsigned int port = FMOD_EVENT_NET_PORT),FMOD_RESULT;
    declare NetEventSystem_Update(),FMOD_RESULT;
    declare NetEventSystem_Shutdown(),FMOD_RESULT;
    declare NetEventSystem_GetVersion(unsigned int *version),FMOD_RESULT;
//}

#endif
