// sounds placement
struct Object
{
	float xPos;
	float yPos;
	float zPos;
	float intensity;
	int sound;
	CFMODChannel *channel;
};
// geometry structers for loading and drawing
struct Polygon
{
	int numVertices;
	int indicesOffset;
	float directOcclusion;
	float reverbOcclusion;
	FMOD_VECTOR normal;
};

struct Mesh
{
	int numVertices;
	FMOD_VECTOR *vertices;
	float *texcoords;//float (*texcoords)[2];   array of float[2]
	int numPolygons;
	Polygon* polygons;
	int numIndices;
	int *indices;
	CFMODGeometry *geometry;
};

class GlutCloseClass
{
public:
    declare GlutCloseClass() {};
   declare _GlutCloseClass();
};